'
' Make script for Maximite and Micromite platform compatibility.
' Requires MMBASIC 5. This will not run on the Color Maximite.
'
Option BASE 1
Option EXPLICIT

'
' Platforms
' To add a new platform, add it to this list. Then
' add a new Source colum, with the files for that version.
'
Dim Integer Platform.Count = 2
Dim String Platform(Platform.Count) Length 20
Platform(1)="Colour Maximite"
Platform(2)="DOS"

Dim String Target(Platform.Count) Length 12
Target(1)="MyProgMx.bas"
Target(2)="MyProgDOS.bas"

'
' Included files
' These files will be included, in order.
' List each file that will be assembled to make the final ouput
'
' Source holds the names of each source file that will be
' used to build your final target.
' array is (platform, file)
'
Dim Integer Source.Count=3
Dim string Source(Platform.Count, Source.Count) Length 50
'Maximite sources
Source(1,1)="MyProg Intro.bas"
Source(1,2)="MyProg UI Max.bas"
Source(1,3)="MyProg Main.bas"
'DOS sources
Source(2,1)="MyProg Intro.bas"
Source(2,2)="MyProg UI DOS.bas"
Source(2,3)="MyProg Main.bas"

Dim Integer p
Dim Integer f
Dim Integer fOut = 1
Dim Integer fIn = 2
Dim string L,LL

For p=1 To Platform.Count
    Print "Create "; Target(p)
    Open Target(p) For Output As #fOut
    For f=1 To Source.Count
        Print "  Reading "; Source(p,f);"...";
        Open Source(p,f) For Input As #fIn
        Do While Not Eof(#fIn)
            Line Input #fIn, L
			if not (LL="" and L="") then 
				Print #fOut, L
			endif
			LL=L 
        Loop
        Close #fIn
        Print "Done"
    Next
    Close #fOut
    Print "  Closed ";Target(p)
Next
Print "Make Complete"
quit